from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XLineCursor(XInterface, Protocol):
    def isAtStartOfLine(self) -> bool: ...
    def isAtEndOfLine(self) -> bool: ...
    def gotoEndOfLine(self, bExpand: bool) -> None: ...
    def gotoStartOfLine(self, bExpand: bool) -> None: ...
